\documentclass[aspectratio=169,hyperref={pdfpagelabels=false}]{beamer}
\input{preamble.tex}

\subtitle{Arnold Knott}
\title{Teaching Adventures}

\setdepartment{DTU Elektro}
\setcolor{orange}

\begin{document}
\inserttitlepage

\begin{frame}
  \frametitle{Agenda}
  \tableofcontents
\end{frame}

\section{Inspiration}

\begin{frame}
  \sectionpage
\end{frame}

\begin{frame}
  \frametitle{History}
  \begin{columns}
    \begin{column}[T]{0.48\textwidth}
      \begin{block}{31003 - Electric Circuits 2}
        \begin{itemize}
        \item mainly 2nd semester B.Sc.
        \item approx 80 - 90 students
          \vspace{1em}
        \item 8 lectures
        \item 4 lab sessions (329A-020)
        \item 1 guest lecture
          \vspace{1em}
        \item 2019: my 1st year in course
        \item $\rightarrow$ building contents
        \item 2020: digitizing material
        \item Material on \href{https://gitlab.gbar.dtu.dk/knott/31003_electric_circuits_2.git}{gitlab 31003}
        \end{itemize}
      \end{block}
    \end{column}
    \begin{column}[T]{0.48\textwidth}
      \begin{block}{31351 - Basic Power Electronics}
        \begin{itemize}
        \item 4th semester B.Sc. \& B.Eng.\\
        \item approx 20 - 40 students
          \vspace{1em}
        \item 8 lectures
        \item 2 lab sessions (329A-020)
        \item 2 guest lectures
        \item 1 group presentation
          \vspace{1em}
        \item course responsible since 2011
        \item $\rightarrow$ fine tuned
        \item Material on \href{https://gitlab.gbar.dtu.dk/knott/31351_basic_power_electronics.git}{gitlab 31351}
        \end{itemize}        
      \end{block}
    \end{column}
  \end{columns}
\end{frame}

% \begin{frame}
%   \frametitle{From very first lockdown}
%   \begin{table}[H]
%     \centering
%     \begin{tabular}{ | l | l |}
%       \toprule
%       Date, Time (CET) & Event \\ \toprule
%       2020-03-11, 22.00 & slides for next days teaching developed \\
%       2020-03-11, 22.05 & message from my teaching assistants: Denmark closed! \\
%       2020-03-11, 22.10 & dinner \\
%       2020-03-11, 23.00 & watch Mette Frederiksen's speech \\
%       2020-03-12, 01.00 & Adobe Connect tested with teaching assistants \\ \midrule
%       2020-03-12, 08.00 & online with Adobe Connect for lecture \\
%       2020-03-12, 08.05 & DEIC runs out of Adobe licenses \\
%       2020-03-12, 08.15 & Adobe strem is monitored to Discord and Twitch.TV \\
%            & teaching assistants monitor stream, \\
%            &I created an account and follow all three chats. \\ \bottomrule
%     \end{tabular}
%   \end{table}
% \end{frame}

\begin{frame}
  \frametitle{Books / Movements}
  \begin{columns}
      \begin{column}[T]{0.48\textwidth}
        \begin{block}{Bullshit Jobs}
          \centering
          \includegraphics[height=0.7\textheight]{pics/bullshit_jobs.jpg}
        \end{block}
      \end{column}
      \begin{column}[T]{0.48\textwidth}
        % \uncover<2->{
        \begin{block}{Pseudoarbejde}
          \centering
          \includegraphics[height=0.7\textheight]{pics/pseudoarbejde.png}
        \end{block}
        % }
      \end{column}
  \end{columns}
\end{frame}

\begin{frame}
  \frametitle{Biennale}
  \begin{block}{Søren Søndergård - polyteknisk forening}
    \begin{itemize}
    \item online group work is challenging
    \item get a \textbf{feedback} platform
    \item think \textbf{global}!
    \end{itemize}
  \end{block}
  \begin{block}{Martin Rygaard - Lektor DTU Environment}
    \begin{itemize}
    \item flipped classroom
    \item students make questions
    \item students make videos
    \end{itemize}
  \end{block}
\end{frame}

\begin{frame}
  \frametitle{Deans education brainstorming}
  \centering
  \includegraphics[width=0.67\textwidth]{pics/education_4p0.png}
\end{frame}

\begin{frame}
  \frametitle{Relearn teaching through signing up as a student}
  \begin{block}{Learning web development, JavaScript, Chess, sports, sociology, languages, ...}
    \begin{itemize}
    \item edx, coursera, udemy, Lynda, ...
    \item duolingo, Babbel
    \item code institute, pirple
    \item YouTube
    \item $\Rightarrow$ university teachers went \textbf{too slow} through the material
    \end{itemize}
  \end{block}
\end{frame}

\section{Purpose}

\begin{frame}
  \sectionpage
\end{frame}

\begin{frame}
  \frametitle{Teaching philosophy: Save society for waste of time...}
  \begin{block}{...through saving the students' time $\Rightarrow$ efficiency}
    \begin{itemize}
    \item course material $\Rightarrow$ conceise \& focused
    \item $\SI{1}{\minute}$ of teaching time without real content @ $80$ students
    \item $\rightarrow \SI{1}{\hour} \; \SI{20}{minute}$ of human lifetime ``wasted''.
    \end{itemize}
  \end{block}
  \begin{block}{... by meeting the students individual level}
    \begin{itemize}
    \item focus on course contents
    \item availability: at the time, when the problem ocurs
    \item sharp and conceise ``one-liner'' questions \& answers
    \item no forced instant reply
    \item $\Rightarrow$ student activation and teacher feedback.
    \end{itemize}
  \end{block}
\end{frame}

\section{Methods}

\begin{frame}
  \sectionpage
\end{frame}

\begin{frame}
  \frametitle{Student: ``May I interrupt?''}
  \begin{tikzpicture}
    \node[%TBD; turn into a tikzset with parameters for reusage
    bubble,
    draw=red,
    fill=yellow,
    callout relative pointer=(220:2cm),
    text width=0.7\textwidth,
    ] at (0,0) {"You never \textbf{disturb},\newline you always \textit{\underline{contribute}}!"};
  \end{tikzpicture}% inspired by https://tex.stackexchange.com/questions/18821/pop-up-effect-in-beamer
\end{frame}

\begin{frame}
  \frametitle{Slides}
  \begin{block}{Graphics}
    \begin{itemize}
    \item use of colors
    \item connect drawings and equations
    \item static annotations versus video annotations
    \item reuse and overlays
    \end{itemize}
  \end{block}
\end{frame}

\begin{frame}
  \frametitle{Videos}
  \begin{columns}
    \begin{column}[T]{0.48\textwidth}
      \begin{block}{Technical}
        \begin{itemize}
        \item \encircle{A} Zoom (incl. annotation) + OBS (recording + overlays) + iMovie $\rightarrow$ YouTube
        \item $\Rightarrow$ \encircle{B} Zoom (incl. annotation \& recording) + Adobe Premiere Pro $\rightarrow$ YouTube
        \item lighting + proaudio microphone
        \item sample video: \href{run:https://www.youtube.com/watch?v=JM6x3ATOj_0&list=PLKUIgR3YEvWwjKp-bPB5GiLqTN58ssmNJ&index=4}{Coupled Inductors}
        \item lengths: about 10 - 20 minutes
        \end{itemize}
      \end{block}
    \end{column}
    \begin{column}[T]{0.48\textwidth}
      \begin{block}{Contents}
        \begin{itemize}
        \item focus on basic knowledge
        \item no examples,
        \item no applications,
        \item $\Rightarrow$ \textbf{timeless}
        \end{itemize}
      \end{block}
      \begin{block}{Effort}
        \begin{itemize}
        \item optimize for global audiance
        \item plenty of retakes
        \item $\Rightarrow$ takes \textbf{forever}!
        \end{itemize}
      \end{block}
    \end{column}
  \end{columns}
\end{frame}

\begin{frame}
  \frametitle{Quizzes}
  \begin{block}{Contents}
    \begin{itemize}
    \item coupled with videos
    \item about 1 question per 2 minutes video
    \item most of them adressing direct contents of videos
    \item $\Rightarrow$ no abstraction, only repetition
    \end{itemize}
  \end{block}
  \begin{block}{Feedback}
    \begin{itemize}
    \item individual for written answers
    \item good use of teaching assistants
    \item collectively for the worst replies
    \end{itemize}
  \end{block}
\end{frame}

\begin{frame}
  \frametitle{Communication}
  \begin{columns}
    \begin{column}[T]{0.48\textwidth}
      \hspace{1em}
      \begin{block}{Chat (Discord)}
        \begin{itemize}
        \item plenty of activity
        \item in public thread
        \item in group threads
        \item and personal communication
        \end{itemize}
      \end{block}
    \end{column}
    \begin{column}[T]{0.48\textwidth}
      \begin{block}{Checklists (DTU Learn)}% TBD: check visibility % TBD: mention individiual follow-ups
        \begin{itemize}
        \item Literature reading
        \item Videos to watch
        \item Quizzes to answer
        \item Repetition to prepare (one group per lecture)
        \end{itemize}
      \end{block}
    \end{column}
  \end{columns}
  \begin{block}{Forum (DTU Learn)}
    \begin{itemize}
    \item did not work
    \item idea for future: use one post per group exercise
    \item let students derive the solution and publish the answers
    \end{itemize}
  \end{block}
\end{frame}

\begin{frame}
  \frametitle{Surveys}
  \begin{block}{Continuous (midterm) evaluation}
    \begin{itemize}
    \item for feedback for me
    \item one survey per main module (4 per course)
    \item plenty of positive feedback
    \item plenty of constructive feedback
    \end{itemize}% TBD: show sample questions
  \end{block}
\end{frame}

\begin{frame}
  \frametitle{Lectures}
  \begin{block}{Agenda (typical)}
    \begin{itemize}
    \item repetition from student groups (of their previewed videos for this lecture)
    \item questions
    \item group exercises: students present from (last lecture) $\rightarrow$ will turn into forum next year
    \item results from quizzes for this time (Arnold presents) $\rightarrow$ needs to go fast
    \item group exercises for this lecture
    \end{itemize}
  \end{block}
\end{frame}

\begin{frame}
  \frametitle{Exam}% TBD: combination of multiple choice and design problems% TBD: change of approach for design problems
  \begin{itemize}
  \item based on experiments and reports
  \end{itemize}
  \begin{columns}
    \begin{column}[T]{0.48\textwidth}
      \begin{block}{Mulitple Choice}
        \begin{itemize}
        \item very specific
        \item individual numbers
        \item short calculation
        \item automated
        \item 5 sets of 7 problems $\Rightarrow \approx $ 3000 correct solutions (for 80-90 students)
        \end{itemize}
      \end{block}
    \end{column}
    \begin{column}[T]{0.48\textwidth}
      \begin{block}{Design Problems}
        \begin{itemize}
        \item loosly defined
        \item 5 different ones
        \item each representing one group from DTU Elektro
        \item difference \textbf{examination} vs. \textbf{evaluation}
        \end{itemize}
      \end{block}
    \end{column}
  \end{columns}
\end{frame}

\begin{frame}
  \frametitle{My work schedule}
  \begin{table}[H]
    \centering
    \begin{tabular}{ | c | c | c | c | c | c | c | }
      \toprule
      Mo           & Tue         & Wed           & Thu           & Fri     & Sat        & Sun \\ \toprule
      upload     & morning: & finish         & recording & all     & all          & at least\\
      videoes    & finish Mo & prep          & day           & day:   & day:       & morning: \\
      make       & tasks        & for            & for            & video  & video    & video \\
      quizzes    & start same & 31003      & both        & editing & editing & editing\\
      DTU learn:& for 31003 & afternoon: & courses   &             &            & evening:\\
      messages & afternoon: & 31003     &                  &            &            & walk \\
      checklists & 31351      & evening:   &                  &           &            & in nature\\
      make        & evening:   & feedback  &                  &           &             & \\
      exams       & feedback & quizzes    &                  &            &            & \\ \bottomrule
    \end{tabular}
  \end{table}
\end{frame}

\section{Conclusion}

\begin{frame}
  \sectionpage
\end{frame}

\begin{frame}
  \frametitle{Experimental Results}
  \centering
%  \resizebox{\textwidth}{0.9\textheight}{
    \begin{tikzpicture}
      \begin{axis}[
        %ybar,
        width=\textwidth,
        height=0.9\textheight,
        ymax = 55,
        axis on top,
        title={Relative grade distribution with respect to sign-ups for exam in \%},
        ymajorgrids,
        xlabel={Grades},
        xlabel style = {anchor = south west},
        symbolic x coords = {EM, -3, 0, 2, 4, 7, 10, 12},
        xtick=data,
        extra x ticks={EM},
        extra x tick labels = {EM}
        ]
        \addplot[dtured] coordinates {
          (EM, 7)
          (-3, 0)
          (0, 11)
          (2, 3)
          (4, 16)
          (7, 48)
          (10, 15)
          (12, 0)
        };
        \addplot[blue] coordinates {
          (EM, 3)
          (-3, 10)
          (0, 8)
          (2, 5)
          (4, 14)
          (7, 31)
          (10, 19)
          (12, 2)
        };
        \addplot[orange] coordinates {
          (EM, 5)
          (-3, 2)
          (0, 5)
          (2, 3)
          (4, 7)
          (7, 19)
          (10, 24)
          (12, 24)
        };
        \legend{2019,2020,2021}
      \end{axis}
    \end{tikzpicture}
 % }
\end{frame}

\begin{frame}
  \frametitle{Evaluation}% TBD: two column for both courses
  \begin{block}{I've learned a lot in this course:}
    \begin{tikzpicture}
      \begin{axis}[
        width = \textwidth,
        xbar stacked,
        ymin = -0.5,
        ymax = 1.5,
        ytick=data,
        bar width=4.5mm,
        y=6mm,
        axis x line = none,
        y axis line style={draw=none},
        y tick style={draw=none},
        yticklabels = {31351,31003}
        ]
        \addplot [fill=red, draw= none] table [x=aweful, y expr=\coordindex] {evaluation_general.csv};
        \addplot [fill=red!50, draw= none] table [x=bad, y expr=\coordindex] {evaluation_general.csv};
        \addplot [fill=yellow, draw= none] table [x=neutral, y expr=\coordindex] {evaluation_general.csv};
        \addplot [fill=green!50, draw= none] table [x=good, y expr=\coordindex] {evaluation_general.csv};
        \addplot [fill=green, draw= none] table [x=excellent, y expr=\coordindex] {evaluation_general.csv};
      \end{axis}
    \end{tikzpicture}
  \end{block}
  \uncover<2->{
    \begin{block}{What do you think about those tools?}
      \begin{columns}
        \begin{column}[T]{0.4\textwidth}
          \centering
          \hspace{3em} 31003
          \begin{tikzpicture}
            \begin{axis}[
              width = \textwidth,
              xbar stacked,
              ymin = -0.5,
              ymax = 4.5,
              ytick=data,
              bar width=4.5mm,
              y=6mm,
              axis x line = none,
              y axis line style={draw=none},
              y tick style={draw=none},
              yticklabels = {Lab,YouTube,MSForms,Discord,DTULearn}
              ]
              \addplot [fill=red, draw= none] table [x=aweful, y expr=\coordindex] {evaluation_tools_31003.csv};
              \addplot [fill=red!50, draw= none] table [x=bad, y expr=\coordindex] {evaluation_tools_31003.csv};
              \addplot [fill=yellow, draw= none] table [x=neutral, y expr=\coordindex] {evaluation_tools_31003.csv};
              \addplot [fill=green!50, draw= none] table [x=good, y expr=\coordindex] {evaluation_tools_31003.csv};
              \addplot [fill=green, draw= none] table [x=excellent, y expr=\coordindex] {evaluation_tools_31003.csv};
            \end{axis}
          \end{tikzpicture}
        \end{column}
        \begin{column}[T]{0.4\textwidth}
          \centering
          31351
          \begin{tikzpicture}
            \begin{axis}[
              width = \textwidth,
              xbar stacked,
              ymin = -0.5,
              ymax = 4.5,
              ytick=data,
              bar width=4.5mm,
              y=6mm,
              axis x line = none,
              y axis line style={draw=none},
              y tick style={draw=none},
              yticklabels = {Lab,YouTube,MSForms,Discord,DTULearn}
              ]
              \addplot [fill=red, draw= none] table [x=aweful, y expr=\coordindex] {evaluation_tools_31351.csv};
              \addplot [fill=red!50, draw= none] table [x=bad, y expr=\coordindex] {evaluation_tools_31351.csv};
              \addplot [fill=yellow, draw= none] table [x=neutral, y expr=\coordindex] {evaluation_tools_31351.csv};
              \addplot [fill=green!50, draw= none] table [x=good, y expr=\coordindex] {evaluation_tools_31351.csv};
              \addplot [fill=green, draw= none] table [x=excellent, y expr=\coordindex] {evaluation_tools_31351.csv};
            \end{axis}
          \end{tikzpicture}
        \end{column}
      \end{columns}
    \end{block}
  }
\end{frame}

\begin{frame}
  \frametitle{Summary}
  \begin{block}{What worked?}
    \begin{itemize}
    \item Videos with great effort
    \item Quizzes
    \item Checklists
    \item personal feedback
    \item For me: \textbf{A whole lot of hard, but nerdy and fun work tasks.}
    \end{itemize}
  \end{block}
  \vspace{-1em}
  \uncover<2->{
    \begin{block}{Future work}
      \begin{itemize}
      \item Least common denomenator (Learn) is not going to be Europe's best!
      \item solutions for group exercises
      \item use of a decent forum
      \item potentially more fun tasks with design problems
      \end{itemize}
    \end{block}
  }
\end{frame}

\begin{frame}
  \frametitle{This presentation is available at}
  \href{https://gitlab.gbar.dtu.dk/ELE_group/teaching/teaching_adventures.git}{https://gitlab.gbar.dtu.dk/ELE\textunderscore group/teaching/teaching\textunderscore adventures.git}\\
  (login with your DTU credentials as LDAP user.)
\end{frame}

% \begin{frame}{Colors}
% \begin{testcolors}[rgb,cmyk]
% \testcolor{dtured}
% \testcolor{white}
% \testcolor{black}
% \testcolor{blue}
% \testcolor{brightgreen}
% \testcolor{navyblue}
% \testcolor{yellow}
% \testcolor{orange}
% \testcolor{pink}
% \testcolor{red}
% \testcolor{green}
% \testcolor{purple}
% \end{testcolors}
% \end{frame}

% \begin{frame}{Graphs and figures}
% \section{Tables and figures}

% \begin{table}[H]
% \centering
% \label{tab:tableExample}
% \begin{tabular}{@{}llS@{}}
% \toprule
% \multicolumn{2}{c}{Item} &            \\ \cmidrule(r){1-2}
% Animal     & Description & Price (\$) \\ \midrule
% Gnat       & per gram    & 13.65      \\
%            & each        & 0.01       \\
% Gnu        & stuffed     & 92.50      \\
% Emu        & stuffed     & 33.33      \\
% Armadillo  & frozen      & 8.99       \\ \bottomrule
% \end{tabular}
% \end{table}
% \end{frame}

% \begin{frame}{Equations}
% The ideal gas law is shown in .
% \begin{equation}
%     p \cdot V = n \cdot R \cdot T
% \end{equation}

% \begin{equation} \label{eq:IME}
%     \frac{\partial}{\partial t} \int_{0}^{\delta} U dy = - \delta \frac{1}{\rho}\frac{\partial P}{\partial x}-U_f(t)^2
% \end{equation}

% \end{frame}

% \begin{frame}{More equations}
% \begin{equation}
% \begin{aligned} 
%     CH_3COOH + OH^{-} &\rightleftharpoons CH_3COO^{-} + H_2O \\
%     H_2O &\rightleftharpoons H^{+}_{(aq)} + OH^{-}_{(aq)}
% \end{aligned}
% \end{equation}


% \begin{align} 
%     \label{eq:align1}     
%     f(x) &= 1 + x - 3 x^2 \\
%     \label{eq:align2} 
%     g(x) + y &= 3x - \frac{1}{2} x^3 
% \end{align}
% \end{frame}

% \begin{frame}[allowframebreaks]{Probability}
%     \begin{block}{Law of total probability for random variables}
%     Let \(X,Y\) be random variables where \(x,y\) represent possible values, it holds that:
%     \[
%         P(x) = \sum_y P(x,y) = \sum_y P(x|y)\cdot P(y)
%     \]
%     \end{block}
%     \framebreak
    
    
%     \begin{block}{Bayes' theorem}
%     \begin{itemize}
%         \item For any two events \(A\) and \(B\) in the sample space \(S\), where \(\mathds{P}(B) \neq 0\), it holds that
%         \[\mathds{P}(A|B) = \frac{\mathds{P}(P|A) \cdot \mathds{P}(A)}{\mathds{P}(B)}\]
%         \item Let \(A_1, A_2, \dots , A_K\) be a \textit{partition} of the sample space \(S\). Using the \textit{law of total probability} for \(\mathds{P}(B)\), it then holds that:
%         \[
%             \mathds{P}(A_j | B) = \frac{\mathds{P}(B|A_j) \cdot \mathds{(A_j)}}{\sum_k \mathds{P}(B|A_k) \cdot \mathds{P}(A_k)}
%         \]
%     \end{itemize}
%     \end{block}
% \end{frame}

% \begin{frame}{Generalising problem-solving by searching}

% So far we have only considered search problems in environments that are:
% \begin{itemize}
%     \item \textbf{Single agent.} There is a single agent acting, the one we control.
%     \item \textbf{Static.} When the agent is not acting, the world doesn't change.
%     \item \textbf{Deterministic.} Every action has a unique outcome.
%     \item \textbf{Fully observable.} The full state description is accesible to the agent.
% \end{itemize}
% Problem solving in the real world rarely satisfies these assumptions.

% Today, we will drop the assumption that the environment is deterministic and fully observable. We will also shortly consider generalising beyond single-agent and static environments.

% \end{frame}

% \begin{frame}{Hej}
%     med dig
% \end{frame}


\end{document}